Bug 585238 - [abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
[abrt] crash in firefox-3.5.9-2.fc12: Process /usr/lib/firefox-3.5/firefox wa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:a9cf0dfeefc620dfdf2654bd8c7...
:
: 585544 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-23 10:05 EDT by William Henry
Modified: 2010-12-03 10:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 10:32:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.45 KB, text/plain)
2010-04-23 10:05 EDT, William Henry
no flags Details

  None (edit)
Description William Henry 2010-04-23 10:05:48 EDT
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5/firefox
comment:  I was setting the preferences for a Firefox addon, media stealer, when the application crashed
component: firefox
executable: /usr/lib/firefox-3.5/firefox
kernel: 2.6.32.11-99.fc12.i686
package: firefox-3.5.9-2.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1.open Firefox app
2.open addon (Media Stealer) preferences
3.select tab 2 and set the p
Comment 1 William Henry 2010-04-23 10:05:51 EDT
Created attachment 408619 [details]
File: backtrace
Comment 2 Chris Campbell 2010-05-08 09:31:38 EDT
#3  <signal handler called>
No symbol table info available.
#4  0x01a52988 in canonicalize (in=0x9ecb43d0) at nsCycleCollector.cpp:1161
        child = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
#5  0x01a52bb6 in GCGraphBuilder::NoteXPCOMChild (this=0xbf9ad2dc, child=
    0x9ecb43d0) at nsCycleCollector.cpp:1450
        cp = <value optimized out>
#6  0x0161c600 in nsJSEventListener::cycleCollection::Traverse (this=
    0x22962c4, p=0xa7cf1ac0, cb=...) at nsJSEventListener.cpp:116
        s = 0xa7cf1ac0
        tmp = 0xa7cf1ac0
#7  0x01a527d1 in GCGraphBuilder::Traverse (this=0xbf9ad2dc, aPtrInfo=
    0xa6f130c4) at nsCycleCollector.cpp:1375
        rv = <value optimized out>
#8  0x01a52849 in nsCycleCollector::MarkRoots (this=0xb750e000, builder=...)
    at nsCycleCollector.cpp:1574
        pi = <value optimized out>
#9  0x01a53044 in nsCycleCollector::BeginCollection (this=0xb750e000)
    at nsCycleCollector.cpp:2507
        builder = {<nsCycleCollectionTraversalCallback> = {
            _vptr.nsCycleCollectionTraversalCallback = 0x226dd58}, 
          mNodeBuilder = {mNextBlock = 0xa6f01000, mNext = @0xb750e044, 
            mBlockEnd = 0xa6fc1004}, mEdgeBuilder = {mCurrent = 0xa79b2218, 
            mBlockEnd = 0xa79e0ff8, mNextBlockPtr = 0xa79e0ffc}, 
          mPtrToNodeMap = {ops = 0x2288164, data = 0x0, hashShift = 17, 
            maxAlphaFrac = 192 '\300', minAlphaFrac = 64 '@', entrySize = 8, 
            entryCount = 9030, removedCount = 0, generation = 0, entryStore = 
    0xa7b6e000 ""}, mCurrPi = 0xa6f130c4, mRuntimes = 0xb750e010}
#10 0x01a530c3 in nsCycleCollector_beginCollection ()
    at nsCycleCollector.cpp:3060
No locals.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Chris Campbell 2010-05-08 09:36:49 EDT
*** Bug 585544 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2010-11-03 12:29:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 10:32:30 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.